
Figure - Bug #118762
【AF】【EVT3】【Monkey】110版本Monkey测试-12H后异常熄屏（可手动点亮）
2023-06-14 10:33 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-14

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118761 问题相同

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备熄屏，可手动点亮进入桌面

已询问研发同事，monkey无法点击到控制中心的熄屏按钮，需分析熄屏原因

History

#1 - 2023-06-14 10:35 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118762

#2 - 2023-06-14 14:20 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118761 问题相同

■ 我的分析

Monkey注入事件报错，导致monkey停止

------------------------------

000060_persist_03689_230614_061511.log:448: 06-14 06:15:11.752 18376 18376 W Monkey  : * Error: A RuntimeException occurred:

000060_persist_03689_230614_061511.log:449: 06-14 06:15:11.752 18376 18376 W Monkey  : java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

com.android.server.wm.TaskDisplayArea.isSplitScreenModeActivated()' on a null object reference

000060_persist_03689_230614_061511.log:450: 06-14 06:15:11.752 18376 18376 W Monkey  :     at android.os.Parcel.createExceptionOrNull(Parcel.java:2431)

000060_persist_03689_230614_061511.log:451: 06-14 06:15:11.752 18376 18376 W Monkey  :     at android.os.Parcel.createException(Parcel.java:2409)

000060_persist_03689_230614_061511.log:452: 06-14 06:15:11.752 18376 18376 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2392)

000060_persist_03689_230614_061511.log:453: 06-14 06:15:11.752 18376 18376 W Monkey  :     at android.os.Parcel.readException(Parcel.java:2334)

000060_persist_03689_230614_061511.log:454: 06-14 06:15:11.752 18376 18376 W Monkey  :     at
android.app.IActivityManager$Stub$Proxy.startActivityAsUserWithFeature(IActivityManager.java:8620)

000060_persist_03689_230614_061511.log:455: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.commands.monkey.MonkeyActivityEvent.injectEvent(MonkeyActivityEvent.java:73)

000060_persist_03689_230614_061511.log:456: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.commands.monkey.Monkey.runMonkeyCycles(Monkey.java:1219)

000060_persist_03689_230614_061511.log:457: 06-14 06:15:11.752 18376 18376 W Monkey  :     at com.android.commands.monkey.Monkey.run(Monkey.java:710)

000060_persist_03689_230614_061511.log:458: 06-14 06:15:11.752 18376 18376 W Monkey  :     at com.android.commands.monkey.Monkey.main(Monkey.java:570)

000060_persist_03689_230614_061511.log:459: 06-14 06:15:11.752 18376 18376 W Monkey  :     at com.android.internal.os.RuntimeInit.nativeFinishInit(Native Method)

000060_persist_03689_230614_061511.log:460: 06-14 06:15:11.752 18376 18376 W Monkey  :     at com.android.internal.os.RuntimeInit.main(RuntimeInit.java:355)

000060_persist_03689_230614_061511.log:461: 06-14 06:15:11.752 18376 18376 W Monkey  : Caused by: android.os.RemoteException: Remote stack trace:

000060_persist_03689_230614_061511.log:462: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2409)

000060_persist_03689_230614_061511.log:463: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.server.wm.ActivityTaskSupervisor.handleNonResizableTaskIfNeeded(ActivityTaskSupervisor.java:2399)

000060_persist_03689_230614_061511.log:464: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityInner(ActivityStarter.java:1844)

000060_persist_03689_230614_061511.log:465: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.server.wm.ActivityStarter.startActivityUnchecked(ActivityStarter.java:1576)

000060_persist_03689_230614_061511.log:466: 06-14 06:15:11.752 18376 18376 W Monkey  :     at

com.android.server.wm.ActivityStarter.executeRequest(ActivityStarter.java:1183)

000060_persist_03689_230614_061511.log:467: 06-14 06:15:11.752 18376 18376 W Monkey  :

000060_persist_03689_230614_061511.log:468: 06-14 06:15:11.752 18376 18376 I Monkey  : Events injected: 113434

000060_persist_03689_230614_061511.log:479: 06-14 06:15:11.754 18376 18376 I Monkey  : :Sending rotation degree=0, persist=false

000060_persist_03689_230614_061511.log:524: 06-14 06:15:11.761 18376 18376 I Monkey  : :Dropped: keys=2116 pointers=29 trackballs=0 flips=0 rotations=0

000060_persist_03689_230614_061511.log:525: 06-14 06:15:11.762 18376 18376 I Monkey  : ## Network stats: elapsed time=37367275ms (0ms mobile, 0ms wifi,

37367275ms not connected)

000060_persist_03689_230614_061511.log:526: 06-14 06:15:11.762 18376 18376 W Monkey  : * System appears to have crashed at event 113434 of 2500000 using seed 20

//monkey中断

06-14 06:15:41.145  1502  1619 W DreamController: Bound dream did not connect in the time allotted

06-14 06:15:41.145  1502  1619 I DreamController: Stopping dream:

name=ComponentInfo{com.thundercomm.screensaver/com.thundercomm.screensaver.service.SystemDream}, isTest=false, canDoze=false, userId=0, reason='slow to

connect'

06-14 06:15:41.151  1502  1698 D PowerManagerService: sleepDisplayGroupNoUpdateLocked: eventTime=38094292, groupId=0, reason=2, flags=0, uid=1000

06-14 06:15:41.151  1502  1698 I PowerManagerService: Powering off display group due to timeout (groupId= 0, uid= 1000)...

06-14 06:15:41.151  1502  1698 I PowerManagerService: Going to sleep due to timeout (uid 1000)...

//30秒后进入屏保失败直接熄屏  这个有票在跟踪IOVDEV-33697

------------------------------

■ 下一步计划

1.monkey中断与 #118761 问题相同，在 #118761 中分析

2.30秒后进入屏保失败直接熄屏，请在 IOVDEV-33697 中跟踪

#3 - 2023-08-04 10:37 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

8.4

两个关联bug已关闭

#4 - 2023-08-04 10:37 - CD TEST-方永红
- Status changed from VERIFIED to CLOSED
